Bug 28496 - Club holds form broken
Summary: Club holds form broken
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on: 28273
Blocks:
  Show dependency treegraph
 
Reported: 2021-06-01 14:30 UTC by Tomás Cohen Arazi
Modified: 2021-06-21 12:24 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
This fixes the libraries shown in the 'Pickup at' dropdown list when placing a club hold so that it shows all libraries, instead of just the currently logged in library.
Version(s) released in:
21.11.00,21.05.01


Attachments
Bug 28496: Club holds pickup locations don't come from the API (1.61 KB, patch)
2021-06-01 16:18 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 28496: Club holds pickup locations don't come from the API (1.65 KB, patch)
2021-06-02 20:59 UTC, David Nind
Details | Diff | Splinter Review
Bug 28496: Club holds pickup locations don't come from the API (1.71 KB, patch)
2021-06-03 09:42 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2021-06-01 14:30:43 UTC
Bug 28273 broke the form.

To reproduce:
1. Have a club with some enrollments
2. Search for some biblio and try adding a club hold
=> FAIL: things are not ok with the dropdown.
Comment 1 Tomás Cohen Arazi 2021-06-01 16:18:59 UTC
Created attachment 121532 [details] [review]
Bug 28496: Club holds pickup locations don't come from the API

This patch fixes a issue that is generated by the fact different inputs
were reusing the same id.

To test:
1. Have a club with some enrollments
2. Make sure you have your circ rules to allow any  library be a pickup
   location.
3. Search for a biblio
4. Try placing a club hold
=> FAIL: The dropdown only has the (currently) logged in library.
5. Apply this patch
6. Repeat 3-4
=> SUCCESS: The dropdown has all the options
Comment 2 David Nind 2021-06-02 20:59:05 UTC
Created attachment 121553 [details] [review]
Bug 28496: Club holds pickup locations don't come from the API

This patch fixes a issue that is generated by the fact different inputs
were reusing the same id.

To test:
1. Have a club with some enrollments
2. Make sure you have your circ rules to allow any  library be a pickup
   location.
3. Search for a biblio
4. Try placing a club hold
=> FAIL: The dropdown only has the (currently) logged in library.
5. Apply this patch
6. Repeat 3-4
=> SUCCESS: The dropdown has all the options

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2021-06-03 09:42:04 UTC
Created attachment 121566 [details] [review]
Bug 28496: Club holds pickup locations don't come from the API

This patch fixes a issue that is generated by the fact different inputs
were reusing the same id.

To test:
1. Have a club with some enrollments
2. Make sure you have your circ rules to allow any  library be a pickup
   location.
3. Search for a biblio
4. Try placing a club hold
=> FAIL: The dropdown only has the (currently) logged in library.
5. Apply this patch
6. Repeat 3-4
=> SUCCESS: The dropdown has all the options

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2021-06-14 14:22:22 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2021-06-14 14:23:22 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 6 Kyle M Hall 2021-06-18 10:45:36 UTC
Pushed to 21.05.x for 21.05.01
Comment 7 Fridolin Somers 2021-06-21 12:24:57 UTC
 Depends on Bug 28273 not in 20.11.x